<BsNavbar
  class="main-header"
  @backgroundColor="none"
  @toggleBreakpoint={{null}}
  @type={{this.application.colorScheme}}
  as |navbar|
>
  <navbar.nav as |nav|>
    <nav.item>
      <BsButton
        @type="link"
        class="border-0 nav-link"
        {{alte/push-menu enableRemember=this.application.localStorageAvailable}}
      >
        <FaIcon @icon="bars" />
      </BsButton>
    </nav.item>
  </navbar.nav>
  <navbar.nav class="ml-auto" as |right-nav|>
    <App::MainHeader::LanguageSelector @nav={{right-nav}} />
    <App::MainHeader::CurrencySelector @nav={{right-nav}} />
    <right-nav.item>
      <BsButton
        @type="link"
        class="border-0 nav-link"
        {{alte/dark-mode
          enableRemember=this.application.localStorageAvailable
          onDarkened=this.darken
          onLightened=this.lighten
        }}
      >
        <FaIcon @icon={{this.lightIcon}} />
      </BsButton>
    </right-nav.item>
  </navbar.nav>
</BsNavbar>